curl --request PATCH \
--url https://api.openworklabs.com/v1/capabilities/google-workspace/calendar-events/{eventId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"summary": "<string>",
"description": "<string>",
"location": "<string>",
"start": {
"dateTime": "2023-11-07T05:31:56Z",
"timeZone": "<string>"
},
"end": {
"dateTime": "2023-11-07T05:31:56Z",
"timeZone": "<string>"
},
"attendees": [
{
"email": "jsmith@example.com",
"optional": true
}
],
"sendUpdates": "none",
"confirmNotifications": true
}
'import requests
url = "https://api.openworklabs.com/v1/capabilities/google-workspace/calendar-events/{eventId}"
payload = {
"summary": "<string>",
"description": "<string>",
"location": "<string>",
"start": {
"dateTime": "2023-11-07T05:31:56Z",
"timeZone": "<string>"
},
"end": {
"dateTime": "2023-11-07T05:31:56Z",
"timeZone": "<string>"
},
"attendees": [
{
"email": "jsmith@example.com",
"optional": True
}
],
"sendUpdates": "none",
"confirmNotifications": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
summary: '<string>',
description: '<string>',
location: '<string>',
start: {dateTime: '2023-11-07T05:31:56Z', timeZone: '<string>'},
end: {dateTime: '2023-11-07T05:31:56Z', timeZone: '<string>'},
attendees: [{email: 'jsmith@example.com', optional: true}],
sendUpdates: 'none',
confirmNotifications: true
})
};
fetch('https://api.openworklabs.com/v1/capabilities/google-workspace/calendar-events/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openworklabs.com/v1/capabilities/google-workspace/calendar-events/{eventId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'summary' => '<string>',
'description' => '<string>',
'location' => '<string>',
'start' => [
'dateTime' => '2023-11-07T05:31:56Z',
'timeZone' => '<string>'
],
'end' => [
'dateTime' => '2023-11-07T05:31:56Z',
'timeZone' => '<string>'
],
'attendees' => [
[
'email' => 'jsmith@example.com',
'optional' => true
]
],
'sendUpdates' => 'none',
'confirmNotifications' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openworklabs.com/v1/capabilities/google-workspace/calendar-events/{eventId}"
payload := strings.NewReader("{\n \"summary\": \"<string>\",\n \"description\": \"<string>\",\n \"location\": \"<string>\",\n \"start\": {\n \"dateTime\": \"2023-11-07T05:31:56Z\",\n \"timeZone\": \"<string>\"\n },\n \"end\": {\n \"dateTime\": \"2023-11-07T05:31:56Z\",\n \"timeZone\": \"<string>\"\n },\n \"attendees\": [\n {\n \"email\": \"jsmith@example.com\",\n \"optional\": true\n }\n ],\n \"sendUpdates\": \"none\",\n \"confirmNotifications\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.openworklabs.com/v1/capabilities/google-workspace/calendar-events/{eventId}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"summary\": \"<string>\",\n \"description\": \"<string>\",\n \"location\": \"<string>\",\n \"start\": {\n \"dateTime\": \"2023-11-07T05:31:56Z\",\n \"timeZone\": \"<string>\"\n },\n \"end\": {\n \"dateTime\": \"2023-11-07T05:31:56Z\",\n \"timeZone\": \"<string>\"\n },\n \"attendees\": [\n {\n \"email\": \"jsmith@example.com\",\n \"optional\": true\n }\n ],\n \"sendUpdates\": \"none\",\n \"confirmNotifications\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openworklabs.com/v1/capabilities/google-workspace/calendar-events/{eventId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"summary\": \"<string>\",\n \"description\": \"<string>\",\n \"location\": \"<string>\",\n \"start\": {\n \"dateTime\": \"2023-11-07T05:31:56Z\",\n \"timeZone\": \"<string>\"\n },\n \"end\": {\n \"dateTime\": \"2023-11-07T05:31:56Z\",\n \"timeZone\": \"<string>\"\n },\n \"attendees\": [\n {\n \"email\": \"jsmith@example.com\",\n \"optional\": true\n }\n ],\n \"sendUpdates\": \"none\",\n \"confirmNotifications\": true\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"calendarId": "<string>",
"event": {
"id": "<string>",
"status": "confirmed",
"summary": "<string>",
"description": "<string>",
"location": "<string>",
"start": {
"dateTime": "2023-11-07T05:31:56Z",
"timeZone": "<string>"
},
"end": {
"dateTime": "2023-11-07T05:31:56Z",
"timeZone": "<string>"
},
"htmlLink": "<string>",
"etag": "<string>",
"recurringEventId": "<string>",
"attendeesOmitted": true,
"attendees": [
{
"email": "<string>",
"displayName": "<string>",
"responseStatus": "<string>",
"optional": true
}
]
},
"sendUpdates": "none"
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"message": "<string>",
"capability": "<string>"
}{
"error": "unauthorized"
}{
"error": "needs_connection",
"message": "<string>"
}{
"error": "invalid_request",
"message": "<string>"
}{
"error": "google_api_error",
"message": "<string>"
}Update or reschedule a Google Calendar event; explicitly approve guest notifications
Uses the calling member’s selected Google account. Perform mutations only when explicitly requested; selecting or discovering a connector does not authorize a write. Do not automatically retry an uncertain mutation.
curl --request PATCH \
--url https://api.openworklabs.com/v1/capabilities/google-workspace/calendar-events/{eventId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"summary": "<string>",
"description": "<string>",
"location": "<string>",
"start": {
"dateTime": "2023-11-07T05:31:56Z",
"timeZone": "<string>"
},
"end": {
"dateTime": "2023-11-07T05:31:56Z",
"timeZone": "<string>"
},
"attendees": [
{
"email": "jsmith@example.com",
"optional": true
}
],
"sendUpdates": "none",
"confirmNotifications": true
}
'import requests
url = "https://api.openworklabs.com/v1/capabilities/google-workspace/calendar-events/{eventId}"
payload = {
"summary": "<string>",
"description": "<string>",
"location": "<string>",
"start": {
"dateTime": "2023-11-07T05:31:56Z",
"timeZone": "<string>"
},
"end": {
"dateTime": "2023-11-07T05:31:56Z",
"timeZone": "<string>"
},
"attendees": [
{
"email": "jsmith@example.com",
"optional": True
}
],
"sendUpdates": "none",
"confirmNotifications": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
summary: '<string>',
description: '<string>',
location: '<string>',
start: {dateTime: '2023-11-07T05:31:56Z', timeZone: '<string>'},
end: {dateTime: '2023-11-07T05:31:56Z', timeZone: '<string>'},
attendees: [{email: 'jsmith@example.com', optional: true}],
sendUpdates: 'none',
confirmNotifications: true
})
};
fetch('https://api.openworklabs.com/v1/capabilities/google-workspace/calendar-events/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openworklabs.com/v1/capabilities/google-workspace/calendar-events/{eventId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'summary' => '<string>',
'description' => '<string>',
'location' => '<string>',
'start' => [
'dateTime' => '2023-11-07T05:31:56Z',
'timeZone' => '<string>'
],
'end' => [
'dateTime' => '2023-11-07T05:31:56Z',
'timeZone' => '<string>'
],
'attendees' => [
[
'email' => 'jsmith@example.com',
'optional' => true
]
],
'sendUpdates' => 'none',
'confirmNotifications' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openworklabs.com/v1/capabilities/google-workspace/calendar-events/{eventId}"
payload := strings.NewReader("{\n \"summary\": \"<string>\",\n \"description\": \"<string>\",\n \"location\": \"<string>\",\n \"start\": {\n \"dateTime\": \"2023-11-07T05:31:56Z\",\n \"timeZone\": \"<string>\"\n },\n \"end\": {\n \"dateTime\": \"2023-11-07T05:31:56Z\",\n \"timeZone\": \"<string>\"\n },\n \"attendees\": [\n {\n \"email\": \"jsmith@example.com\",\n \"optional\": true\n }\n ],\n \"sendUpdates\": \"none\",\n \"confirmNotifications\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.openworklabs.com/v1/capabilities/google-workspace/calendar-events/{eventId}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"summary\": \"<string>\",\n \"description\": \"<string>\",\n \"location\": \"<string>\",\n \"start\": {\n \"dateTime\": \"2023-11-07T05:31:56Z\",\n \"timeZone\": \"<string>\"\n },\n \"end\": {\n \"dateTime\": \"2023-11-07T05:31:56Z\",\n \"timeZone\": \"<string>\"\n },\n \"attendees\": [\n {\n \"email\": \"jsmith@example.com\",\n \"optional\": true\n }\n ],\n \"sendUpdates\": \"none\",\n \"confirmNotifications\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openworklabs.com/v1/capabilities/google-workspace/calendar-events/{eventId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"summary\": \"<string>\",\n \"description\": \"<string>\",\n \"location\": \"<string>\",\n \"start\": {\n \"dateTime\": \"2023-11-07T05:31:56Z\",\n \"timeZone\": \"<string>\"\n },\n \"end\": {\n \"dateTime\": \"2023-11-07T05:31:56Z\",\n \"timeZone\": \"<string>\"\n },\n \"attendees\": [\n {\n \"email\": \"jsmith@example.com\",\n \"optional\": true\n }\n ],\n \"sendUpdates\": \"none\",\n \"confirmNotifications\": true\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"calendarId": "<string>",
"event": {
"id": "<string>",
"status": "confirmed",
"summary": "<string>",
"description": "<string>",
"location": "<string>",
"start": {
"dateTime": "2023-11-07T05:31:56Z",
"timeZone": "<string>"
},
"end": {
"dateTime": "2023-11-07T05:31:56Z",
"timeZone": "<string>"
},
"htmlLink": "<string>",
"etag": "<string>",
"recurringEventId": "<string>",
"attendeesOmitted": true,
"attendees": [
{
"email": "<string>",
"displayName": "<string>",
"responseStatus": "<string>",
"optional": true
}
]
},
"sendUpdates": "none"
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"message": "<string>",
"capability": "<string>"
}{
"error": "unauthorized"
}{
"error": "needs_connection",
"message": "<string>"
}{
"error": "invalid_request",
"message": "<string>"
}{
"error": "google_api_error",
"message": "<string>"
}Authorizations
Organization API key passed as the x-api-key header. The raw key is the header value; do not prefix it with Bearer.
Path Parameters
1 - 512^[A-Za-z0-9_-]+$Query Parameters
1 - 512^[^\s\x00-\x1f]+$Body
1 - 1000200001000Rescheduling requires both start and end, of the same type. All-day end dates are exclusive.
- Option 1
- Option 2
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
Replaces the entire attendee list; [] removes all attendees. Read the event first to preserve existing guests.
100Show child attributes
Show child attributes
Notification policy. all/externalOnly requires confirmNotifications=true after explicit user approval. Google may still send some service emails with none.
none, all, externalOnly Response
Google-confirmed result.
Show child attributes
Show child attributes
Notification policy. all/externalOnly requires confirmNotifications=true after explicit user approval. Google may still send some service emails with none.
none, all, externalOnly Was this page helpful?